package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.service.ContractService;
import com.ecep.contract.vo.ContractVo;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class ContractTableCell<T> extends AsyncUpdateTableCell<T, Integer, ContractVo> {
    public ContractTableCell(ContractService service) {
        setService(service);
    }

    @Override
    protected ContractService getServiceBean() {
        return SpringApp.getBean(ContractService.class);
    }
}
